## markdown-callouts 0.3.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile docs/requirements.in
#
click==8.1.3
    # via mkdocs
ghp-import==2.1.0
    # via mkdocs
importlib-metadata==4.11.4
    # via mkdocs
jinja2==3.1.2
    # via
    #   mkdocs
    #   mkdocs-material
markdown==3.3.7
    # via
    #   markdown-callouts
    #   mkdocs
    #   mkdocs-material
    #   pymdown-extensions
markdown-callouts==0.2.0
    # via -r docs/requirements.in
markupsafe==2.1.1
    # via jinja2
mergedeep==1.3.4
    # via mkdocs
mkdocs==1.3.0
    # via
    #   -r docs/requirements.in
    #   mkdocs-material
mkdocs-material==8.3.6
    # via -r docs/requirements.in
mkdocs-material-extensions==1.0.3
    # via mkdocs-material
packaging==21.3
    # via mkdocs
pygments==2.12.0
    # via mkdocs-material
pymdown-extensions==9.5
    # via
    #   -r docs/requirements.in
    #   mkdocs-material
pyparsing==3.0.9
    # via packaging
python-dateutil==2.8.2
    # via ghp-import
pyyaml==6.0
    # via
    #   mkdocs
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via mkdocs
six==1.16.0
    # via python-dateutil
watchdog==2.1.9
    # via mkdocs
zipp==3.8.0
    # via importlib-metadata

=== debian/changelog ===
markdown-callouts (0.3.0-2) unstable; urgency=medium

  * Source only upload
  * [4588ce1] d/control: Mark the -doc package as Multi-Arch foreign

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 16 Nov 2022 23:07:10 +0100

markdown-callouts (0.3.0-1) unstable; urgency=medium

  * [bad9f71] New upstream version 0.3.0
  * [f6ec84b] First and basic Debianization
    (Closes: #1023892)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Nov 2022 10:11:25 +0100

=== debian/control ===
Source: markdown-callouts
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mkdocs,
 mkdocs-material <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-bs4 <!nocheck>,
 python3-poetry,
 python3-pymdownx,
 python3-pytest <!nocheck>,
 python3-pytest-golden <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/oprypin/markdown-callouts
Vcs-Git: https://salsa.debian.org/python-team/packages/markdown-callouts.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/markdown-callouts.git

Package: python-markdown-callouts-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${mkdocs:Depends}
Description: Python-Markdown extension adding a new block-level syntax (Documentation)
 This package extends the functionality of Python Markdown by turning a
 paragraph of text into a block that's specially highlighted and set apart from
 the rest of the text.
 .
 This extension produces the same results as the admonition extension, but with
 a syntax that is much less intrusive and has a very reasonable fallback look
 for "vanilla" renderers.
 .
 This package contains the HTML documentation.

Package: python3-markdown-callouts
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: Python-Markdown extension adding a new block-level syntax (Python3)
 This package extends the functionality of Python Markdown by turning a
 paragraph of text into a block that's specially highlighted and set apart from
 the rest of the text.
 .
 This extension produces the same results as the admonition extension, but with
 a syntax that is much less intrusive and has a very reasonable fallback look
 for "vanilla" renderers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=markdown_callouts

%:
	dh $@ --with mkdocs,python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf html .pytest_cache
	dh_clean

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "*callout*dist-info" | head -n1)` \
	    python3 -m mkdocs -v build --site-dir=html
	rm html/requirements.* html/sitemap.xml.gz
endif

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest -v"

=== debian/watch ===
# watch file for markdown-callouts

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/oprypin/markdown-callouts.git \
      refs/tags/v@ANY_VERSION@

## markdown-callouts 0.3.0+20231124

=== debian/changelog ===
markdown-callouts (0.3.0+20231124-1) unstable; urgency=medium

  * [7e1271b] New upstream version 0.3.0+20231124
    (Closes: #1042222)
  * [c09237a] d/control: Upstream moved to hatchling build system
  * [ef22720] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [2ae51fc] d/rules: Drop removal of now non existig file
  * [ce9cb83] d/rules: Drop '(--with ...) python3' from default target
  * [38872a1] d/watch: Add compression type gz

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 24 Nov 2023 16:37:58 +0000

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      icompression=gz, \
       uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/oprypin/markdown-callouts.git \

## markdown-callouts 0.4.0

=== debian/changelog ===
markdown-callouts (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from mkdocs-material. Closes: #1116786.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 15:10:00 +0200

markdown-callouts (0.4.0-1) unstable; urgency=medium

  * [d496788] d/watch: Fix broken syntax for compression
  * [b38f0b1] New upstream version 0.4.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 Jan 2024 20:20:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,15 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  mkdocs,
- mkdocs-material <!nocheck>,
+ mkdocs-material,
  pybuild-plugin-pyproject,
  python3-all,
  python3-bs4 <!nocheck>,
- python3-poetry,
+ python3-hatchling,
  python3-pymdownx,
  python3-pytest <!nocheck>,
  python3-pytest-golden <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/oprypin/markdown-callouts
 Vcs-Git: https://salsa.debian.org/python-team/packages/markdown-callouts.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/markdown-callouts.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=markdown_callouts
 
 %:
-	dh $@ --with mkdocs,python3 --buildsystem=pybuild
+	dh $@ --with mkdocs --buildsystem=pybuild
 
 override_dh_clean:
 	rm -rf html .pytest_cache
@@ -17,7 +17,7 @@
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "*callout*dist-info" | head -n1)` \
 	    python3 -m mkdocs -v build --site-dir=html
-	rm html/requirements.* html/sitemap.xml.gz
+	rm html/sitemap.xml.gz
 endif
 
 override_dh_auto_test:

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-golden,
 @,
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 version=4
 
 opts="mode=git, \
-      icompression=gz, \
+      compression=gz, \
       uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/oprypin/markdown-callouts.git \
